
##----------------------------------------------------------##
##                                                          ##
##  Universal Makefile for wxc2 module                      ##
##                      --By Wei Liu 2007/04/11             ##
##                                                          ##                        
##----------------------------------------------------------##


##--------------------------------------
##
##  Project correlation(Customer define)
##
##--------------------------------------

##Module Name 
MODULE  = tmtest

#BUILD = lib/exef
BUILD   = exef

#CFG = debug / release
CFG     = debug

#Source file path
SRC_PATH= ./

#include file path
INC_PATH= ./

#extend wxc2plat module lib need
WXC2_PLT_LIB= public 
          
#extend wxc2plat module lib need
WXC2_APP_LIB= 

#extend wxc2plat path default to ./wxc2plat
WXC2_PLT_PATH = ../../../../wxc2plat

#extend wxc2plat path default to ./wxc2app
WXC2_APP_PATH = 

#extend obj needed
CFG_OBJ = 

##--------------------------------------
##
##  Make configuration(Customer define)
##
##--------------------------------------

#gcc flag show on/off
CCFLAG_SWITCH         = on

#customer debug version flag add for compile
DEBUG_CFLAGS_ADD      = -D_MSCR83 -D_DEVELOPER

#customer release version flag add for compile
RELEASE_CFLAGS_ADD    = -D_MSCR83

#need cover fucntion of PTF for test = YES/NO
COVER_NEED            = 

#cover fucntion output path of PTF for test 
COVER_REPORT_PATH     = ./ut/ut_doc/output

##--------------------------------------
##
##  include makefile.rules (Do not change)
##
##--------------------------------------
include $(MAKE_INCLUDE)/Makefile.rules
